Formatting
Date: 2015-09-15

org.jmock.core

## Class Formatting

- java.lang.Object
- - org.jmock.core.Formatting

-     public class Formatting
      extends java.lang.Object

  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Formatting()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `classShortName(java.lang.Class c)`
    `static java.lang.StringBuffer` | `join(java.util.Collection collection, java.lang.StringBuffer buf, java.lang.String prefix, java.lang.String postfix)`
    `static java.lang.StringBuffer` | `join(java.util.Collection collection, java.lang.StringBuffer buf, java.lang.String prefix, java.lang.String separator, java.lang.String postfix)`
    `static java.lang.StringBuffer` | `join(java.lang.Object array, java.lang.StringBuffer buf)`
    `static java.lang.StringBuffer` | `join(java.lang.Object array, java.lang.StringBuffer buf, java.lang.String prefix, java.lang.String postfix)`
    `static java.lang.StringBuffer` | `join(java.lang.Object array, java.lang.StringBuffer buf, java.lang.String prefix, java.lang.String separator, java.lang.String postfix)`
    `static java.lang.String` | `toReadableString(java.lang.Object element)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Formatting

          public Formatting()

  - ### Method Detail

    - #### toReadableString

          public static java.lang.String toReadableString(java.lang.Object element)

    - #### join

          public static java.lang.StringBuffer join(java.lang.Object array,
                                    java.lang.StringBuffer buf)

    - #### join

          public static java.lang.StringBuffer join(java.util.Collection collection,
                                    java.lang.StringBuffer buf,
                                    java.lang.String prefix,
                                    java.lang.String postfix)

    - #### join

          public static java.lang.StringBuffer join(java.util.Collection collection,
                                    java.lang.StringBuffer buf,
                                    java.lang.String prefix,
                                    java.lang.String separator,
                                    java.lang.String postfix)

    - #### join

          public static java.lang.StringBuffer join(java.lang.Object array,
                                    java.lang.StringBuffer buf,
                                    java.lang.String prefix,
                                    java.lang.String postfix)

    - #### join

          public static java.lang.StringBuffer join(java.lang.Object array,
                                    java.lang.StringBuffer buf,
                                    java.lang.String prefix,
                                    java.lang.String separator,
                                    java.lang.String postfix)

    - #### classShortName

          public static java.lang.String classShortName(java.lang.Class c)